Indented pre blocks just broken
Closed, ResolvedPublic

Description

We have a rule for this (pre_indent_in_tags) but it looks pathological and I'm going to disable it for now because it doesn't match (the end tag isn't reachable).

<pre class="123">hi</pre>

parses as,

<pre><pre class="123">hi</pre></pre>

but in php,

<pre class="123">hi</pre>
Arlolra created this task.Aug 6 2015, 6:54 PM
Arlolra added a subscriber: Arlolra.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 6 2015, 6:54 PM

Change 229857 had a related patch set uploaded (by Arlolra):
T108216: Disable pre_indent_in_tags rule for now

https://gerrit.wikimedia.org/r/229857

Arlolra edited the task description. (Show Details)Aug 7 2015, 4:00 AM
Arlolra removed a project: Patch-For-Review.
Arlolra set Security to None.

Change 229857 merged by jenkins-bot:
T108216: Disable pre_indent_in_tags rule for now

https://gerrit.wikimedia.org/r/229857

Change 281076 had a related patch set uploaded (by Arlolra):
WIP: Treat html pre and nowiki as an extension tag

https://gerrit.wikimedia.org/r/281076

Arlolra claimed this task.Jan 20 2017, 1:49 AM

Change 281076 merged by jenkins-bot:
Treat html pre and nowiki as extension tags

https://gerrit.wikimedia.org/r/281076

Arlolra closed this task as "Resolved".Feb 7 2017, 6:53 PM